package cn.com.qmth.examcloud.commons.helpers.pipeline;

/**
 * 节点执行器
 *
 * @author WANGWEI
 * @date 2019年12月12日
 * @Copyright (c) 2018-2020 WANGWEI [QQ:522080330] All Rights Reserved.
 * @param <KEYIN>
 * @param <VALUEIN>
 * @param <KEYOUT>
 * @param <VALUEOUT>
 */
public interface NodeExecuter<KEYIN, VALUEIN, KEYOUT, VALUEOUT> {

	void execute(KEYIN key, VALUEIN value, Storer<KEYOUT, VALUEOUT> storer, TaskContext context)
			throws Exception;

}